This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 710039 - (CVE-2011-1959) CVE-2011-1959 wireshark: Stack-based buffer over-read from tvbuff buffer when reading snoop capture files
CVE-2011-1959 wireshark: Stack-based buffer over-read from tvbuff buffer when...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20110531,reported=2...
: Security
Depends On: 809045 809046 834180
Blocks: 807617 816611
  Show dependency treegraph
 
Reported: 2011-06-02 06:20 EDT by Jan Lieskovsky
Modified: 2015-11-24 09:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 04:01:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-06-02 06:20:46 EDT
A stack-based buffer over-read flaw was found in the way Wireshark
performed management of testy, virtualizable buffers. A remote attacker
could create a specially-crafted capture file, which once opened, by a
local, unsuspecting user could lead to wireshark application crash.

References:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5912
    (upstream bug report)
[2] https://bugs.wireshark.org/bugzilla/attachment.cgi?id=6335
    (public reproducer)
[3] http://www.openwall.com/lists/oss-security/2011/05/31/20
    (CVE request)
[4] http://www.wireshark.org/security/wnpa-sec-2011-07.html
    (upstream advisory)

Upstream patch:
[5] http://anonsvn.wireshark.org/viewvc?view=revision&revision=37068
Comment 1 Jan Lieskovsky 2011-06-02 06:22:28 EDT
This issue affects the versions of the wireshark package, as shipped with
Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the wireshark package, as shipped with
Fedora release of 13, 14, and 16.
Comment 2 Huzaifa S. Sidhpurwala 2011-06-03 01:18:56 EDT
Note:
This issue is only specific to the snoop capture file format and does not appear to be triggered by any other formats wireshark supports.
Comment 5 errata-xmlrpc 2012-04-23 12:52:15 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0509 https://rhn.redhat.com/errata/RHSA-2012-0509.html
Comment 6 Vincent Danen 2012-04-23 13:38:19 EDT
Current Fedora has wireshark 1.4.12, which is not affected by this flaw.
Comment 8 Murray McAllister 2012-10-03 00:27:59 EDT
Acknowledgements:

This issue was discovered by Huzaifa Sidhpurwala of the Red Hat Security Response Team.
Comment 10 errata-xmlrpc 2013-01-08 00:00:22 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0125 https://rhn.redhat.com/errata/RHSA-2013-0125.html
Comment 12 Huzaifa S. Sidhpurwala 2013-01-08 04:04:31 EST
Statement:

(none)

Note You need to log in before you can comment on or make changes to this bug.